package com.bcxin.tenant.open.domains.services;

import com.bcxin.tenant.open.domains.dtos.SystemSettingDTO;
import com.bcxin.tenant.open.domains.services.commands.BatchAttendanceCommitCommand;
import com.bcxin.tenant.open.domains.services.commands.CleanRecentlyAttendanceCommitCommand;
import com.bcxin.tenant.open.domains.services.commands.CreateAttendanceCommand;
import com.bcxin.tenant.open.domains.services.commands.ValidateAttendanceCommand;
import com.bcxin.tenant.open.domains.services.commands.results.ValidateAttendanceCommandResult;

import java.util.Collection;

public interface AttendanceService {
    void dispatch(CreateAttendanceCommand command);

    ValidateAttendanceCommandResult dispatch(ValidateAttendanceCommand command);

    void dispatch(BatchAttendanceCommitCommand command);

    int dispatch(CleanRecentlyAttendanceCommitCommand command);

    boolean checkIfEnableFaceValidation();
}
